import { renderless, api } from '@opentinyvue/vue-renderless/color-picker/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { IconChevronDown } from '@opentinyvue/vue-icon';
import ColorSelectPanel from '@opentinyvue/vue-color-select-panel';
import '@opentinyvue/vue-theme/color-picker/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm$state$hex;
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: [{
      "tiny-color-picker": true
    }, _vm.state.size ? "tiny-color-picker--" + _vm.state.size : ""],
    on: {
      "click": function click() {
        return _vm.changeVisible(!_vm.state.isShow);
      }
    }
  }, [_c("div", {
    staticClass: "tiny-color-picker__inner",
    style: {
      background: (_vm$state$hex = _vm.state.hex) !== null && _vm$state$hex !== void 0 ? _vm$state$hex : ""
    }
  }, [_c("IconChevronDown")], 1), _c("Transition", {
    attrs: {
      "name": "tiny-zoom-in-top"
    }
  }, [_c("color-select", {
    style: {
      "min-width": "420px"
    },
    attrs: {
      "visible": _vm.state.isShow,
      "alpha": _vm.alpha,
      "predefine": _vm.state.predefineStack,
      "history": _vm.state.stack,
      "format": _vm.format,
      "enable-history": _vm.state.enableHistory,
      "enable-predefine-color": _vm.state.enablePredefineColor
    },
    on: {
      "confirm": _vm.onConfirm,
      "cancel": _vm.onCancel
    },
    model: {
      value: _vm.state.hex,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "hex", $$v);
      },
      expression: "state.hex"
    }
  })], 1)], 1);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  emits: ["update:modelValue", "confirm", "cancel"],
  props: [].concat(props, ["modelValue", "visible", "alpha", "predefine", "history", "size", "format", "enableHistory", "enablePredefineColor"]),
  components: {
    IconChevronDown: IconChevronDown(),
    ColorSelect: ColorSelectPanel
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
